{% extends "page.html" %}
{% block left_nav %}
    {% if mode not in ['admin_flow_select'] %}
        <div id="left-nav" class="h2 ml-3 text-left position-absolute">
        <ul class="nav flex-column">
            <li class="nav-item my-1">
                <a href="{{ url_for('view.index', flow='back') }}" id="btn-back" class="btn btn-outline-nav">&laquo;<span class="d-none d-lg-inline-block">&nbsp;Back</span></a>
            </li>
        </ul>
        </div>
    {% endif %}
{% endblock left_nav %}
{% block clock %}
{% endblock clock %}
{% block content %}
    <section>
        <div class="container mx-auto">
            {% if mode == "admin_flow_select" %}
                <div class="text-center my-3">
                    <h1>Administrator Tasks</h1>
                </div>
                <div class="d-flex row align-items-center vh-50">
                    <div class="col-4 mx-auto text-center">
                        <a href="{{ url_for("view.index", flow='view_status') }}" class="btn btn-lg btn-primary m-3"><h1>On-site Visitors</h1></a>
                        <a href="{{ url_for("view.index", flow='view_visitors') }}" class="btn btn-lg btn-primary m-3"><h1>All Visitors</h1></a>
                        <a href="{{ url_for("view.index", flow='view_archive') }}" class="btn btn-lg btn-primary m-3"><h1>Archive</h1></a>
                        <a href="{{ url_for("view.index", flow='view_admins') }}" class="btn btn-lg btn-primary m-3"><h1>Administrators</h1></a>
                    </div>
                    <div class="col-4 mx-auto text-center">
                        <a href="{{ url_for("view.index", flow='edit_visitor') }}" class="btn btn-lg btn-sign-in m-3"><h1>Add Visitor</h1></a>
                        <a href="{{ url_for("view.index", flow='edit_administrator') }}" class="btn btn-lg btn-sign-in m-3"><h1>Add Administrator</h1></a>
                    </div>
                    <div class="col-4 mx-auto text-center">
                        <a href="{{ url_for("view.index", flow='delete') }}" class="btn btn-lg btn-danger m-3"><h1>Delete User</h1></a>
                        <a href="{{ url_for("view.index", flow='archive') }}" class="btn btn-lg btn-danger m-3"><h1>Archive Visitor</h1></a>
                    </div>
                </div>
            {% elif mode == "wait" %}
                <div class="row text-center my-3">
                    <div class="panel">
                        <h1>{{ message.splitlines()|join("<br />"|safe) }}</h1>
                    </div>
                </div>
            {% elif mode == "edit_visitor" or mode == "view_visitor" %}
                <div class="text-center mt-3">
                    <h2>Complete your details</h2>
                </div>
                <fieldset {{ "disabled" if mode == "view_visitor" }}>
                    <form
                        class="col-sm-12 mx-auto mt-3 pt-3"
                        action="{{ url_for("view.update", flow="edit_visitor") }}"
                        method="post"
                        id="visitor-details">
                        <div class="form-group row">
                            <div class="col-sm-4 text-right">
                                <label for="input_name" class="h4 mt-2">Name</label>
                            </div>
                            <div class="col-sm-8">
                                <input
                                    type="text"
                                    class="form-control form-control-lg"
                                    name="name"
                                    id="input_name"
                                    maxlength="128"
                                    placeholder="Full Name"
                                    value="{{ visitor.name or '' }}">
                                <div class="invalid-feedback text-right">
                                    Your name <strong>must</strong> be supplied
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-sm-4 text-right">
                                <label for="input_organisation" class="h4 mt-2">Organisation</label>
                            </div>
                            <div class="col-sm-8">
                                <input
                                    type="text"
                                    class="form-control form-control-lg"
                                    name="organisation"
                                    id="input_organisation"
                                    maxlength="128"
                                    placeholder="Organisation or Company Name"
                                    value="{{ visitor.organisation or '' }}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-sm-4 text-right">
                                <label for="input_host" class="h4 mt-2">Host</label>
                            </div>
                            <div class="col-sm-8">
                                <input
                                    type="text"
                                    class="form-control form-control-lg"
                                    name="host"
                                    id="input_host"
                                    maxlength="128"
                                    placeholder="Host contact"
                                    value="{{ visitor.host or '' }}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-sm-4 text-right">
                                <label for="input_location" class="h4 mt-2">Visit location</label>
                            </div>
                            <div class="col-sm-8">
                                <input
                                    type="text"
                                    class="form-control form-control-lg"
                                    name="location"
                                    id="input_location"
                                    maxlength="128"
                                    placeholder="Buildings or rooms to be visited"
                                    value="{{ visitor.location or '' }}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-sm-4 text-right">
                                <label for="input_purpose" class="h4 mt-2">Purpose of visit</label>
                            </div>
                            <div class="col-sm-8">
                                <input
                                    type="text"
                                    class="form-control form-control-lg"
                                    name="purpose"
                                    id="input_purpose"
                                    maxlength="128"
                                    placeholder="Reason for this visit"
                                    value="{{ visitor.purpose or '' }}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-sm-4 text-right">
                                <label for="input_telephone" class="h4 mt-2">Telephone Number</label>
                            </div>
                            <div class="col-sm-8">
                                <input
                                    type="text"
                                    class="form-control form-control-lg"
                                    name="telephone"
                                    id="input_telephone"
                                    maxlength="128"
                                    placeholder="Contact telephone number"
                                    value="{{ visitor.telephone or '' }}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-sm-4 text-right">
                                <label for="input_email" class="h4 mt-2">Email Address</label>
                            </div>
                            <div class="col-sm-8">
                                <input
                                    type="text"
                                    class="form-control form-control-lg"
                                    name="email"
                                    id="input_email"
                                    maxlength="128"
                                    placeholder="Contact email address"
                                    value="{{ visitor.email or '' }}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-sm-4 text-right">
                                <label for="input_car_registration" class="h4 mt-2">Car Registration</label>
                            </div>
                            <div class="col-sm-8">
                                <input
                                    type="text"
                                    class="form-control form-control-lg"
                                    name="car_registration"
                                    id="input_car_registration"
                                    maxlength="128"
                                    placeholder="AB12 XYZ"
                                    value="{{ visitor.car_registration or '' }}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-sm-4 text-right">
                                <label for="input_car_location" class="h4 mt-2">Parking Location</label>
                            </div>
                            <div class="col-sm-8">
                                <input
                                    type="text"
                                    class="form-control form-control-lg"
                                    name="car_location"
                                    id="input_car_location"
                                    maxlength="128"
                                    placeholder="Which car park, if travelling by car"
                                    value="{{ visitor.car_location or '' }}">
                            </div>
                        </div>
                        {% if visitor.card %}
                            <div class="form-group row">
                                <div class="col-sm-4 text-right">
                                    <label for="input_card_id" class="h4 mt-2">Card ID</label>
                                </div>
                                <div class="col-sm-8">
                                    <input
                                        type="text"
                                        class="form-control form-control-lg"
                                        name="card_id"
                                        id="input_card_id"
                                        maxlength="128"
                                        value="{{ visitor.card.id }}"
                                        readonly="readonly">
                                </div>
                            </div>
                        {% endif %}
                        <div class="form-group row d-none">
                            {% if visitor.id %}
                                <div class="col-sm-4 text-right">
                                    <label for="input_id" class="h4 mt-2">Visitor ID</label>
                                </div>
                                <div class="col-sm-8">
                                    <input
                                        type="text"
                                        readonly="readonly"
                                        class="form-control form-control-lg"
                                        id="input_id"
                                        name="visitor_id"
                                        value="{{ visitor.id }}">
                                </div>
                            {% else %}
                                <div class="col-sm-4 text-right">
                                    <label for="input_mifare" class="h4 mt-2">MIFARE Number</label>
                                </div>
                                <div class="col-sm-8">
                                    <input
                                        type="text"
                                        readonly="readonly"
                                        class="form-control form-control-lg"
                                        id="input_mifare"
                                        name="mifare"
                                        value="{{ visitor.mifare or mifare }}">
                                </div>
                            {% endif %}
                        </div>
                        {% if mode != "view_visitor" %}
                            <div class="row my-3">
                                <div class="col text-right">
                                    <button type="submit" id="btn-finished" class="btn btn-primary btn-lg mr-3" name="update" value="true">Update</button>
                                    <a href="{{ url_for("view.index", flow="back") }}" id="btn-cancel" class="btn btn-secondary btn-lg">Cancel</a>
                                    <button type="reset" id="btn-reset" class="btn btn-secondary btn-lg">Reset</button>
                                </div>
                            </div>
                        {% endif %}
                    </form>
                </fieldset>
                {% if mode == "view_visitor" %}
                    <div class="row my-1">
                        <div class="col">
                            <div class="col text-right">
                                {% if timeout is defined %}
                                    <a
                                        class="btn btn-secondary btn-lg timeout {{ 'd-none' if timeout_hidden }}"
                                        href="{{ url_for('view.index') }}"
                                        data-timeout="{{ timeout }}">
                                            Finished
                                    </a>
                                {% else %}
                                    <a class="btn btn-secondary btn-lg" href="{{ url_for('view.index', flow="back") }}">Finished</a>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                {% endif %}
                <div class="row m-3">
                    <h3>Activity</h3>
                    <table class="table table-sm table-bordered">
                        <thead class="thead-light">
                            <tr>
                                <th>Date</th>
                                <th>Action</th>
                                <th>Location</th>
                            </tr>
                        </thead>
                        {% for scan in visitor.scans %}
                            <tr>
                                <td>
                                    <span data-timestamp="{{ scan.timestamp }}">
                                        {{ datetime.fromtimestamp(scan.timestamp).strftime('%c') }}
                                    </span>
                                </td>
                                <td>
                                    {% if scan.reader == "yellow" %}
                                        <span class="btn btn-sign-in py-0">In</span>
                                    {% else %}
                                        <span class="btn btn-sign-out py-0">Out</span>
                                    {% endif %}
                                </td>
                                <td>
                                    {{ scan.building }}
                                </td>
                            </tr>
                        {% endfor %}
                    </table>
                </div>
            {% elif mode == "edit_administrator" or mode == "view_administrator" %}
                <div class="text-center mt-3">
                    <h2>Complete administrator details</h2>
                </div>
                <fieldset {{ "disabled" if mode == "view_administrator" }}>
                    <form
                        class="col-sm-12 mx-auto mt-3 pt-3"
                        action="{{ url_for("view.update", flow="edit_administrator") }}"
                        method="post"
                        id="administrator-details">
                        <div class="form-group row">
                            <div class="col-sm-4 text-right">
                                <label for="input_name" class="h4 mt-2">Name</label>
                            </div>
                            <div class="col-sm-8">
                                <input
                                    type="text"
                                    class="form-control form-control-lg"
                                    name="name"
                                    id="input_name"
                                    maxlength="128"
                                    placeholder="Full Name"
                                    value="{{ admin.name or '' }}">
                                <div class="invalid-feedback text-right">
                                    The name <strong>must</strong> be supplied
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-sm-4 text-right">
                                <label for="input_crsid" class="h4 mt-2">CRSid<br/>
                                </label>
                            </div>
                            <div class="col-sm-8">
                                <input
                                    type="text"
                                    class="form-control form-control-lg"
                                    name="crsid"
                                    id="input_crsid"
                                    maxlength="32"
                                    placeholder="CRSid"
                                    value="{{ admin.crsid or '' }}">
                                <div class="invalid-feedback text-right">
                                    The CRSid <strong>must</strong> be supplied
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-sm-4 text-right">
                                <label for="input_telephone" class="h4 mt-2">Phone Number<br/>
                                </label>
                            </div>
                            <div class="col-sm-8">
                                <input
                                    type="text"
                                    class="form-control form-control-lg"
                                    name="telephone"
                                    id="input_telephone"
                                    maxlength="32"
                                    placeholder="Contact telephone number"
                                    value="{{ admin.telephone or '' }}">
                                <div class="invalid-feedback text-right">
                                    A contact telephone number <strong>must</strong> be supplied
                                </div>
                            </div>
                        </div>
                        <div class="form-group row d-none">
                            {% if admin.id %}
                                <div class="col-sm-4">
                                    <label for="input_id" class="h4">Admin ID</label>
                                </div>
                                <div class="col-sm-8">
                                    <input
                                        type="text"
                                        readonly="readonly"
                                        class="form-control form-control-lg"
                                        id="input_id"
                                        name="admin_id"
                                        value="{{ admin.id }}">
                                </div>
                            {% else %}
                                <div class="col-sm-4">
                                    <label for="input_mifare" class="h4">MIFARE Number</label>
                                </div>
                                <div class="col-sm-8">
                                    <input
                                        type="text"
                                        readonly="readonly"
                                        class="form-control form-control-lg"
                                        id="input_mifare"
                                        name="mifare"
                                        value="{{ admin.mifare or mifare }}">
                                </div>
                            {% endif %}
                        </div>
                        {% if mode != "view_administrator" %}
                            <div class="row my-3">
                                <div class="col text-right">
                                    <button type="submit" id="btn-finished" class="btn btn-primary btn-lg mr-3" name="update" value="true">Update</button>
                                    <a href="{{ url_for("view.index", flow="back") }}" id="btn-cancel" class="btn btn-secondary btn-lg">Cancel</a>
                                    <button type="reset" id="btn-reset" class="btn btn-secondary btn-lg">Reset</button>
                                </div>
                            </div>
                        {% endif %}
                    </form>
                </fieldset>
                {% if mode == "view_administrator" %}
                    <div class="row my-1">
                        <div class="col">
                            <div class="col text-right">
                                {% if timeout is defined %}
                                    <a
                                        class="btn btn-secondary btn-lg timeout {{ 'd-none' if timeout_hidden }}"
                                        href="{{ url_for('view.index') }}"
                                        data-timeout="{{ timeout }}">
                                            Finished
                                    </a>
                                {% else %}
                                    <a class="btn btn-secondary btn-lg" href="{{ url_for('view.index', flow="back") }}">Finished</a>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                {% endif %}
            {% elif mode == "view_status" %}
                <div class="text-center mt-3">
                    <h3 class="m-3">Visitors on site</h3>
                    <table class="table table-sm table-bordered">
                        <thead class="thead-light">
                            <tr>
                                <th>Name</th>
                                <th>Host<br>and purpose</th>
                                <th>Contact</th>
                                <th>Car<br>Registration</th>
                                <th>Last seen time<br>and location</th>
                                <th>Card ID</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        {% for visitor_scan in signed_in %}
                            <tr>
                                <td>
                                    {{ visitor_scan.visitor.name }}
                                    {{ visitor_scan.visitor.organisation or "" }}
                                </td>
                                <td>
                                    {% if visitor_scan.visitor.host %}
                                        {{ visitor_scan.visitor.host }}
                                        <br>
                                    {% endif %}
                                    {% if visitor_scan.visitor.location %}
                                        {{ visitor_scan.visitor.location }}
                                        <br>
                                    {% endif %}
                                    {{ visitor_scan.visitor.purpose or "" }}
                                </td>
                                <td>
                                    {% if visitor_scan.visitor.telephone %}
                                        {{ visitor_scan.visitor.telephone }}
                                        <br>
                                    {% endif %}
                                    {{ visitor_scan.visitor.email or "" }}
                                </td>
                                <td>
                                    {% if visitor_scan.visitor.car_registration %}
                                        {{ visitor_scan.visitor.car_registration }}
                                        <br>
                                    {% endif %}
                                    {{ visitor_scan.visitor.car_location or "" }}
                                </td>
                                <td>
                                    <span data-timestamp="{{ visitor_scan.timestamp }}">
                                        {{ datetime.fromtimestamp(visitor_scan.timestamp).strftime('%a %H:%M') }}
                                    </span>
                                    <br>
                                    {{ visitor_scan.building }}
                                </td>
                                <td>
                                    {{ visitor_scan.visitor.card.id }}
                                </td>
                                <td class="text-nowrap">
                                    <a class="btn btn-sign-out py-0 mb-1"
                                       href="{{ url_for('view.scan', reader='purple', visitor_id=visitor_scan.visitor.id) }}">Sign out
                                    </a>
                                    <a class="btn btn-primary py-0 mb-1"
                                       href="{{ url_for('view.index', flow='edit_visitor', visitor_id=visitor_scan.visitor.id) }}">View/Edit
                                    </a>
                                    <button class="btn btn-danger py-0 mb-1" type="button" data-toggle="collapse"
                                            data-target="#scan-actions-{{ visitor_scan.visitor.id }}">&hellip;</button>
                                    <div class="collapse" id="scan-actions-{{ visitor_scan.visitor.id }}">
                                        <a class="btn btn-danger py-0 mb-1"
                                           href="{{ url_for('view.index', flow='archive', visitor_id=visitor_scan.visitor.id) }}">Archive
                                        </a>
                                        <a class="btn btn-danger py-0 mb-1"
                                           href="{{ url_for('view.index', flow='delete', visitor_id=visitor_scan.visitor.id) }}">Delete
                                        </a>
                                    </div>
                                </td>
                            </tr>
                        {% endfor %}
                    </table>
                </div>
            {% elif mode == "view_visitors" %}
                <div class="text-center mt-3">
                    <h3 class="m-3">All visitors</h3>
                    <table class="table table-sm table-bordered">
                        <thead class="thead-light">
                            <tr>
                                <th>Name</th>
                                <th>Host<br>and purpose</th>
                                <th>Contact</th>
                                <th>Car<br>Registration</th>
                                <th>Last active</th>
                                <th>Card ID</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        {% for visitor in visitors %}
                            <tr>
                                <td>
                                    {{ visitor.name or "No Name!" }}
                                    <br>
                                    {{ visitor.organisation or "" }}
                                </td>
                                <td>
                                    {% if visitor.host %}
                                        {{ visitor.host }}
                                        <br>
                                    {% endif %}
                                    {% if visitor.location %}
                                        {{ visitor.location }}
                                        <br>
                                    {% endif %}
                                    {{ visitor.purpose or "" }}
                                </td>
                                <td>
                                    {% if visitor.telephone %}
                                        {{ visitor.telephone }}
                                        <br>
                                    {% endif %}
                                    {{ visitor.email or "" }}
                                </td>
                                <td>
                                    {% if visitor.car_registration %}
                                        {{ visitor.car_registration }}
                                        <br>
                                    {% endif %}
                                    {{ visitor.car_location or "" }}
                                </td>
                                <td>
                                    {% if visitor.last_active %}
                                        <span data-timestamp="{{ visitor.last_active }}">
                                            {{ datetime.fromtimestamp(visitor.last_active).strftime('%c') }}
                                        </span>
                                    {% endif %}
                                </td>
                                <td>
                                    {{ visitor.card.id }}
                                </td>
                                <td class="text-nowrap">
                                    {% if visitor.signed_in() %}
                                        <a class="btn btn-sign-out py-0 mb-1"
                                           href="{{ url_for('view.scan', reader='purple', visitor_id=visitor.id) }}">Sign out
                                        </a>
                                    {% else %}
                                        <a class="btn btn-sign-in py-0 mb-1"
                                           href="{{ url_for('view.scan', reader='yellow', visitor_id=visitor.id) }}">Sign in
                                        </a>
                                    {% endif %}
                                    <a class="btn btn-primary py-0 mb-1"
                                       href="{{ url_for('view.index', flow='edit_visitor', visitor_id=visitor.id) }}">View/Edit
                                    </a>
                                    <button class="btn btn-danger py-0 mb-1" type="button" data-toggle="collapse"
                                            data-target="#visitor-actions-{{ visitor.id }}">&hellip;</button>
                                    <div class="collapse" id="visitor-actions-{{ visitor.id }}">
                                        <a class="btn btn-danger py-0 mb-1"
                                           href="{{ url_for('view.index', flow='archive', visitor_id=visitor.id) }}">Archive</a>
                                        <a class="btn btn-danger py-0 mb-1"
                                           href="{{ url_for('view.index', flow='delete', visitor_id=visitor.id) }}">Delete</a>
                                    </div>
                                </td>
                            </tr>
                        {% endfor %}
                    </table>
                </div>
            {% elif mode == "view_archive" %}
                <div class="text-center mt-3">
                    <h3 class="m-3">Visitors Archive</h3>
                    <table class="table table-sm table-bordered">
                        <thead class="thead-light">
                            <tr>
                                <th>Name</th>
                                <th>Host<br>and purpose</th>
                                <th>Contact</th>
                                <th>Car<br>Registration</th>
                                <th>Last active</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        {% for visitor in archive %}
                            <tr>
                                <td>
                                    {{ visitor.name or "No Name!" }}
                                    <br>
                                    {{ visitor.organisation or "" }}
                                </td>
                                <td>
                                    {% if visitor.host %}
                                        {{ visitor.host }}
                                        <br>
                                    {% endif %}
                                    {%  if visitor.location %}
                                        {{ visitor.location }}
                                        <br>
                                    {% endif %}
                                    {{ visitor.purpose or "" }}
                                </td>
                                <td>
                                    {% if visitor.telephone %}
                                        {{ visitor.telephone }}
                                        <br>
                                    {% endif %}
                                    {{ visitor.email or "" }}
                                </td>
                                <td>
                                    {% if visitor.car_registration %}
                                        {{ visitor.car_registration }}
                                        <br>
                                    {% endif %}
                                    {{ visitor.car_location or "" }}
                                </td>
                                <td>
                                    {% if visitor.last_active %}
                                        <span data-timestamp="{{ visitor.last_active }}">
                                            {{ datetime.fromtimestamp(visitor.last_active).strftime('%c') }}
                                        </span>
                                    {% endif %}
                                </td>
                                <td class="text-nowrap">
                                    <a class="btn btn-primary py-0 mb-1"
                                       href="{{ url_for('view.index', flow='view_visitor', visitor_id=visitor.id) }}">View
                                    </a>
                                    <a class="btn btn-secondary py-0 mb-1"
                                       href="{{ url_for('view.index', flow='reactivate_visitor', visitor_id=visitor.id) }}">Reactivate
                                    </a>
                                    <button class="btn btn-danger py-0 mb-1" type="button" data-toggle="collapse"
                                            data-target="#archive-actions-{{ visitor.id }}">&hellip;</button>
                                    <div class="collapse" id="archive-actions-{{ visitor.id }}">
                                        <a class="btn btn-danger py-0"
                                           href="{{ url_for('view.index', flow='delete', visitor_id=visitor.id) }}">Delete
                                        </a>
                                    </div>
                                </td>
                            </tr>
                        {% endfor %}
                    </table>
                </div>
            {% elif mode == "view_admins" %}
                <div class="text-center mt-3">
                    <h3 class="m-3">Administrators</h3>
                    <table class="table table-sm table-bordered">
                        <thead class="thead-light">
                            <tr>
                                <th>Name</th>
                                <th>CRSid</th>
                                <th>Contact</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        {% for admin in admins %}
                            <tr>
                                <td>
                                    {{ admin.name }}
                                </td>
                                <td>
                                    {{ admin.crsid or "" }}
                                </td>
                                <td>
                                    {% if admin.crsid %}{{ admin.crsid }}@cam.ac.uk<br>{% endif %}
                                    {{ admin.telephone or "" }}
                                </td>
                                <td class="text-nowrap">
                                    <a class="btn btn-secondary py-0 mb-1"
                                       href="{{ url_for("view.index", flow="edit_administrator", admin_id=admin.id) }}">Edit
                                    </a>
                                    <button class="btn btn-danger py-0 mb-1" type="button" data-toggle="collapse"
                                            data-target="#admin-actions-{{ admin.id }}">&hellip;</button>
                                    <div class="collapse" id="admin-actions-{{ admin.id }}">
                                        <a class="btn btn-danger py-0"
                                           href="{{ url_for('view.index', flow="delete", admin_id=admin.id) }}">Delete
                                        </a>
                                    </div>
                                </td>
                            </tr>
                        {% endfor %}
                    </table>
                </div>
            {% else %}
                <div class="text-center">
                    <h2>{{ message }}</h2>
                    <div class="vh-75 py-3 my-3 mx-auto w-75 active-clock text-center" id="large-clock">
                        {{ get_svg_icon()|safe }}
                    </div>
                </div>
            {% endif %}
            {% if "expiry" in session %}
                <div class="bottom-fix right-fix">
                    <a
                        href="{{ url_for('view.scan', reader='purple', admin_id=session.admin_id) }}"
                        id="btn-expiry"
                        data-expiry="{{ session.expiry.timestamp() }}"
                        class="btn btn-sign-out btn-lg text-center">
                            Logout {{  session.admin_name or "admin" }} <span id="counter"></span>
                    </a>
                </div>
            {% endif %}
        </div>
    </section>
{% endblock content %}